Bug 1753955 - description of public_hosted_zone in /etc/ovirt-engine-metrics/config.yml.d/metrics-store-config.yml
Summary: description of public_hosted_zone in /etc/ovirt-engine-metrics/config.yml.d/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: 4.3.5
Hardware: All
OS: All
medium
medium
Target Milestone: ovirt-4.3.7
: 4.3.7
Assignee: Shirly Radco
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks: 1767344
TreeView+ depends on / blocked
 
Reported: 2019-09-20 11:13 UTC by Olimp Bockowski
Modified: 2020-02-26 07:25 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-metrics-1.3.5.1
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-12 10:36:35 UTC
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4229 0 None None None 2019-12-12 10:36:54 UTC

Description Olimp Bockowski 2019-09-20 11:13:23 UTC
Description of problem:
There should be a much better description of public_hosted_zone  in /etc/ovirt-engine-metrics/config.yml.d/metrics-store-config.yml

Version-Release number of selected component (if applicable):
Name        : ovirt-engine-metrics
Version     : 1.3.3.3

Additional info:

Now there is only 
# DNS zone (format: example.com) of the Metrics Store virtual machines
public_hosted_zone: 

According to the feedback from GSS it looks like this parameter isn't clear enough. It should be explained what is the purpose and where is has to point out (e.g. it will be master0 that in all in one OCP VM)

Comment 2 Guilherme Santos 2019-11-15 14:48:23 UTC
Verified on:
ovirt-engine-metrics-1.3.5.1-1.el7ev.noarch

Description of public_hosted_zone seems more completed and contains an example of its use:

## The DNS zone of the Metrics Store virtual machines. No default.
# For example:
# If public_hosted_zone: example.com, then 1st master metrics store VM address will be set to `master0.example.com`.
# All metrics and logs will be sent to these VMs.

Comment 4 errata-xmlrpc 2019-12-12 10:36:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4229


Note You need to log in before you can comment on or make changes to this bug.